Attribute VB_Name = "mdlWinAPI"
Option Explicit

'************************************************************************************************************
'
'  Win32API錾
'
'************************************************************************************************************

Public Type BITMAPFILEHEADER
    bfType        As Integer
    bfSize        As Long
    bfReserved    As Long
    bfOffBits     As Long
End Type

Public Type BITMAPINFOHEADER '40 bytes
        biSize As Long
        biWidth As Long
        biHeight As Long
        biPlanes As Integer
        biBitCount As Integer
        biCompression As Long
        biSizeImage As Long
        biXPelsPerMeter As Long
        biYPelsPerMeter As Long
        biClrUsed As Long
        biClrImportant As Long
End Type

Public Type RGBQUAD
        rgbBlue As Byte
        rgbGreen As Byte
        rgbRed As Byte
        rgbReserved As Byte
End Type

Public Type BITMAPINFO
        bmiHeader As BITMAPINFOHEADER
        bmiColors(255) As RGBQUAD
End Type

Public Const SRCCOPY = &HCC0020         ' (DWORD) dest = source
Public Const COLORONCOLOR = 3
Public Const DIB_RGB_COLORS = 0 '  color table in RGBs

'biCompression
Public Const BI_RGB = 0&
Public Const BI_BITFIELDS = 3&

Public Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (Destination As Any, Source As Any, ByVal Length As Long)
Public Declare Function StretchDIBits Lib "gdi32" (ByVal hDC As Long, ByVal X As Long, ByVal Y As Long, ByVal dx As Long, ByVal dy As Long, ByVal SrcX As Long, ByVal SrcY As Long, ByVal wSrcWidth As Long, ByVal wSrcHeight As Long, lpBits As Any, lpBitsInfo As BITMAPINFO, ByVal wUsage As Long, ByVal dwRop As Long) As Long
Public Declare Function SetStretchBltMode Lib "gdi32" (ByVal hDC As Long, ByVal nStretchMode As Long) As Long
Public Declare Function GetTickCount Lib "kernel32" () As Long



